Bug 13154 - TCP tickles not getting synchronised on CTDB restart
TCP tickles not getting synchronised on CTDB restart
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.7.2
All All
: P5 regression
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-20 06:07 UTC by Amitay Isaacs
Modified: 2017-12-14 11:15 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.6 (7.37 KB, patch)
2017-12-05 01:47 UTC, Martin Schwenke
amitay: review+
Details
Patch for 4.7 (7.37 KB, patch)
2017-12-05 01:48 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amitay Isaacs 2017-11-20 06:07:35 UTC
The fix for bug 13056 was to avoid queueing up packets for disconnected or not-yet-connected nodes.  One place in CTDB relied on queueing up packets and sending them when the nodes got connected was in the synchronisation of tcp tickles on a node restart.

In a scenario where ctdb is restarted on a node and before it becomes fully operational, the rest of the nodes disappear, IP failover will not work (client connections will never get reset) as the tcp tickles have not been synchronized.
Comment 1 Martin Schwenke 2017-12-05 01:47:57 UTC
Created attachment 13843 [details]
Patch for 4.6
Comment 2 Martin Schwenke 2017-12-05 01:48:25 UTC
Created attachment 13844 [details]
Patch for 4.7
Comment 3 Amitay Isaacs 2017-12-13 05:20:07 UTC
Hi Karolin,

This is ready for v4-6 and v4-7.

Thanks.
Comment 4 Karolin Seeger 2017-12-13 09:03:39 UTC
Pushed to autobuild-v4-{7,6}-test.
Comment 5 Karolin Seeger 2017-12-14 11:15:15 UTC
Pushed to both branches.
Closing out bug report.

Thanks!